com.genesyslab.wfm7.API.service.forecast720

## Class FrcActivityDataIndicator

- java.lang.Object
- - com.genesyslab.wfm7.API.service.forecast720.FrcActivityDataIndicator

- All Implemented Interfaces:
    java.io.Serializable

      public class FrcActivityDataIndicator
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int` | `activityId` Activity ID if Site ID is not 0, otherwise Multi-site Activity ID and buId is not 0
    `private boolean` | `AHTexists` True if Average Handle Time data exist
    `private int` | `buId` Business Unit ID
    `private boolean` | `CSexists` True if Calculated staffing data exist
    `private boolean` | `IVexists` True if Interaction Volume data exist
    `private boolean` | `RSexists` True if Required staffing data exist
    `private int` | `siteId` Site ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrcActivityDataIndicator()`
    `FrcActivityDataIndicator(int siteId, int activityId, int buId, boolean IVexists, boolean AHTexists, boolean CSexists, boolean RSexists)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getActivityId()` Gets the activityId value for this FrcActivityDataIndicator.
    `int` | `getBuId()` Gets the buId value for this FrcActivityDataIndicator.
    `int` | `getSiteId()` Gets the siteId value for this FrcActivityDataIndicator.
    `int` | `hashCode()`
    `boolean` | `isAHTexists()` Gets the AHTexists value for this FrcActivityDataIndicator.
    `boolean` | `isCSexists()` Gets the CSexists value for this FrcActivityDataIndicator.
    `boolean` | `isIVexists()` Gets the IVexists value for this FrcActivityDataIndicator.
    `boolean` | `isRSexists()` Gets the RSexists value for this FrcActivityDataIndicator.
    `void` | `setActivityId(int activityId)` Sets the activityId value for this FrcActivityDataIndicator.
    `void` | `setAHTexists(boolean AHTexists)` Sets the AHTexists value for this FrcActivityDataIndicator.
    `void` | `setBuId(int buId)` Sets the buId value for this FrcActivityDataIndicator.
    `void` | `setCSexists(boolean CSexists)` Sets the CSexists value for this FrcActivityDataIndicator.
    `void` | `setIVexists(boolean IVexists)` Sets the IVexists value for this FrcActivityDataIndicator.
    `void` | `setRSexists(boolean RSexists)` Sets the RSexists value for this FrcActivityDataIndicator.
    `void` | `setSiteId(int siteId)` Sets the siteId value for this FrcActivityDataIndicator.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### siteId

          private int siteId

      Site ID

    - #### activityId

          private int activityId

      Activity ID if Site ID is not 0, otherwise Multi-site Activity ID and buId is not 0

    - #### buId

          private int buId

      Business Unit ID

    - #### IVexists

          private boolean IVexists

      True if Interaction Volume data exist

    - #### AHTexists

          private boolean AHTexists

      True if Average Handle Time data exist

    - #### CSexists

          private boolean CSexists

      True if Calculated staffing data exist

    - #### RSexists

          private boolean RSexists

      True if Required staffing data exist

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### FrcActivityDataIndicator

          public FrcActivityDataIndicator()

    - #### FrcActivityDataIndicator

          public FrcActivityDataIndicator(int siteId,
                                  int activityId,
                                  int buId,
                                  boolean IVexists,
                                  boolean AHTexists,
                                  boolean CSexists,
                                  boolean RSexists)

  - ### Method Detail

    - #### getSiteId

          public int getSiteId()

      Gets the siteId value for this FrcActivityDataIndicator.
      Returns:
        siteId

    - #### setSiteId

          public void setSiteId(int siteId)

      Sets the siteId value for this FrcActivityDataIndicator.
      Parameters:
        `siteId` -

    - #### getActivityId

          public int getActivityId()

      Gets the activityId value for this FrcActivityDataIndicator.
      Returns:
        activityId

    - #### setActivityId

          public void setActivityId(int activityId)

      Sets the activityId value for this FrcActivityDataIndicator.
      Parameters:
        `activityId` -

    - #### getBuId

          public int getBuId()

      Gets the buId value for this FrcActivityDataIndicator.
      Returns:
        buId

    - #### setBuId

          public void setBuId(int buId)

      Sets the buId value for this FrcActivityDataIndicator.
      Parameters:
        `buId` -

    - #### isIVexists

          public boolean isIVexists()

      Gets the IVexists value for this FrcActivityDataIndicator.
      Returns:
        IVexists

    - #### setIVexists

          public void setIVexists(boolean IVexists)

      Sets the IVexists value for this FrcActivityDataIndicator.
      Parameters:
        `IVexists` -

    - #### isAHTexists

          public boolean isAHTexists()

      Gets the AHTexists value for this FrcActivityDataIndicator.
      Returns:
        AHTexists

    - #### setAHTexists

          public void setAHTexists(boolean AHTexists)

      Sets the AHTexists value for this FrcActivityDataIndicator.
      Parameters:
        `AHTexists` -

    - #### isCSexists

          public boolean isCSexists()

      Gets the CSexists value for this FrcActivityDataIndicator.
      Returns:
        CSexists

    - #### setCSexists

          public void setCSexists(boolean CSexists)

      Sets the CSexists value for this FrcActivityDataIndicator.
      Parameters:
        `CSexists` -

    - #### isRSexists

          public boolean isRSexists()

      Gets the RSexists value for this FrcActivityDataIndicator.
      Returns:
        RSexists

    - #### setRSexists

          public void setRSexists(boolean RSexists)

      Sets the RSexists value for this FrcActivityDataIndicator.
      Parameters:
        `RSexists` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.